# coding=utf-8
"""macroarea data

Revision ID: 1e748a54b964
Revises: 4768db0c8b3f
Create Date: 2014-02-24 14:35:09.098123

"""

# revision identifiers, used by Alembic.
revision = '1e748a54b964'
down_revision = '4768db0c8b3f'

import datetime

from alembic import op
import sqlalchemy as sa

MACROAREAS = {
    '1': 'Eurasia',
    '2': 'North America',
    '3': 'Eurasia',
    '4': 'Africa',
    '5': 'Eurasia',
    '6': 'Eurasia',
    '7': 'Eurasia',
    '10': 'Eurasia',
    '11': 'Eurasia',
    '12': 'Eurasia',
    '13': 'Africa',
    '14': 'Eurasia',
    '15': 'Papunesia',
    '16': 'Eurasia',
    '17': 'Australia',
    '18': 'Eurasia',
    '19': 'Papunesia',
    '20': 'Papunesia',
    '21': 'Africa',
    '22': 'Eurasia',
    '23': 'Eurasia',
    '24': 'Eurasia',
    '26': 'Papunesia',
    '27': 'Africa',
    '28': 'Africa',
    '29': 'Africa',
    '30': 'Eurasia',
    '32': 'Eurasia',
    '33': 'Africa',
    '34': 'Africa',
    '35': 'Papunesia',
    '37': 'Eurasia',
    '38': 'Eurasia',
    '39': 'Africa',
    '40': 'Africa',
    '41': 'Eurasia',
    '42': 'North America',
    '43': 'Papunesia',
    '44': 'North America',
    '45': 'North America',
    '47': 'Eurasia',
    '48': 'North America',
    '49': 'Africa',
    '51': 'Australia',
    '52': 'Eurasia',
    '53': 'Eurasia',
    '54': 'Eurasia',
    '55': 'Eurasia',
    '56': 'Eurasia',
    '57': 'Papunesia',
    '59': 'Africa',
    '60': 'Papunesia',
    '61': 'Eurasia',
    '62': 'Eurasia',
    '63': 'Africa',
    '64': 'Africa',
    '65': 'Africa',
    '66': 'Africa',
    '67': 'Australia',
    '68': 'Eurasia',
    '69': 'Eurasia',
    '70': 'Eurasia',
    '71': 'Eurasia',
    '72': 'Eurasia',
    '73': 'Eurasia',
    '74': 'Eurasia',
    '8': 'Africa',
    '75': 'Eurasia',
    '76': 'Eurasia',
    '77': 'Eurasia',
    '78': 'Eurasia',
    '79': 'Eurasia',
    '80': 'Eurasia',
    '81': 'North America',
    '82': 'Eurasia',
    '83': 'Eurasia',
    '84': 'Africa',
    '85': 'Africa',
    '86': 'Africa',
    '88': 'Eurasia',
    '89': 'North America',
    '90': 'South America',
    '91': 'Africa',
    '92': 'South America',
    '93': 'Africa',
    '94': 'Australia',
    '95': 'Africa',
    '96': 'Africa',
    '97': 'Africa',
    '98': 'North America',
    '99': 'Africa',
    '100': 'North America',
    '101': 'South America',
    '102': 'Eurasia',
    '103': 'Eurasia',
    '104': 'Eurasia',
    '106': 'Africa',
    '107': 'Eurasia',
    '110': 'North America',
    '111': 'Eurasia',
    '113': 'Eurasia',
    '114': 'Eurasia',
    '115': 'Eurasia',
    '116': 'Eurasia',
    '117': 'Eurasia',
    '119': 'Eurasia',
    '120': 'North America',
    '121': 'Eurasia',
    '122': 'South America',
    '123': 'Eurasia',
    '124': 'Africa',
    '125': 'Eurasia',
    '127': 'Eurasia',
    '130': 'Papunesia',
    '131': 'Papunesia',
    '133': 'Africa',
    '135': 'Eurasia',
    '136': 'Eurasia',
    '137': 'Australia',
    '138': 'Africa',
    '139': 'Africa',
    '141': 'Eurasia',
    '142': 'Eurasia',
    '145': 'Eurasia',
    '146': 'Africa',
    '147': 'Eurasia',
    '148': 'Africa',
    '87': 'Papunesia',
    '105': 'Papunesia',
    '149': 'Eurasia',
    '150': 'Papunesia',
    '151': 'North America',
    '153': 'Eurasia',
    '154': 'Eurasia',
    '155': 'South America',
    '156': 'Africa',
    '159': 'Eurasia',
    '162': 'Papunesia',
    '163': 'Papunesia',
    '164': 'Eurasia',
    '166': 'Africa',
    '167': 'Africa',
    '168': 'North America',
    '169': 'Papunesia',
    '170': 'Africa',
    '172': 'North America',
    '173': 'North America',
    '174': 'North America',
    '175': 'North America',
    '176': 'Eurasia',
    '177': 'Australia',
    '178': 'Africa',
    '179': 'Eurasia',
    '180': 'Eurasia',
    '181': 'North America',
    '182': 'North America',
    '183': 'North America',
    '185': 'Eurasia',
    '186': 'Eurasia',
    '187': 'Australia',
    '188': 'Africa',
    '189': 'Eurasia',
    '190': 'Eurasia',
    '191': 'Eurasia',
    '192': 'Africa',
    '193': 'Eurasia',
    '194': 'Africa',
    '195': 'South America',
    '196': 'Africa',
    '197': 'Eurasia',
    '198': 'Australia',
    '199': 'Papunesia',
    '200': 'North America',
    '201': 'North America',
    '202': 'Africa',
    '203': 'Eurasia',
    '204': 'South America',
    '205': 'Papunesia',
    '206': 'Eurasia',
    '207': 'Eurasia',
    '208': 'Eurasia',
    '209': 'Eurasia',
    '210': 'North America',
    '211': 'Eurasia',
    '212': 'North America',
    '213': 'Eurasia',
    '214': 'Papunesia',
    '215': 'North America',
    '216': 'Papunesia',
    '217': 'Papunesia',
    '218': 'North America',
    '219': 'North America',
    '220': 'Eurasia',
    '221': 'Eurasia',
    '223': 'Eurasia',
    '224': 'Eurasia',
    '225': 'Eurasia',
    '226': 'Eurasia',
    '227': 'Eurasia',
    '228': 'Papunesia',
    '229': 'Papunesia',
    '230': 'North America',
    '231': 'North America',
    '232': 'Papunesia',
    '233': 'Eurasia',
    '234': 'Eurasia',
    '235': 'Africa',
    '236': 'Africa',
    '237': 'Eurasia',
    '238': 'Eurasia',
    '239': 'North America',
    '240': 'Eurasia',
    '241': 'South America',
    '242': 'Africa',
    '243': 'South America',
    '244': 'Eurasia',
    '245': 'Africa',
    '246': 'Eurasia',
    '248': 'Africa',
    '249': 'Africa',
    '250': 'Africa',
    '251': 'Eurasia',
    '252': 'Africa',
    '253': 'South America',
    '254': 'Africa',
    '255': 'Eurasia',
    '256': 'Eurasia',
    '257': 'Eurasia',
    '258': 'Eurasia',
    '259': 'South America',
    '260': 'South America',
    '261': 'Eurasia',
    '262': 'North America',
    '263': 'Eurasia',
    '264': 'North America',
    '265': 'Africa',
    '266': 'Africa',
    '267': 'North America',
    '268': 'Africa',
    '269': 'Eurasia',
    '270': 'Papunesia',
    '271': 'Eurasia',
    '272': 'North America',
    '273': 'Eurasia',
    '274': 'North America',
    '275': 'Africa',
    '276': 'Papunesia',
    '277': 'North America',
    '278': 'Australia',
    '279': 'Africa',
    '280': 'Eurasia',
    '281': 'Australia',
    '282': 'Papunesia',
    '283': 'Papunesia',
    '284': 'Africa',
    '285': 'Eurasia',
    '286': 'North America',
    '287': 'Africa',
    '288': 'Africa',
    '289': 'Papunesia',
    '290': 'North America',
    '291': 'Eurasia',
    '292': 'Africa',
    '293': 'North America',
    '294': 'South America',
    '295': 'South America',
    '296': 'Papunesia',
    '297': 'South America',
    '298': 'North America',
    '299': 'North America',
    '300': 'North America',
    '301': 'North America',
    '302': 'South America',
    '303': 'North America',
    '304': 'North America',
    '305': 'Eurasia',
    '306': 'Australia',
    '307': 'North America',
    '308': 'Africa',
    '309': 'North America',
    '310': 'North America',
    '312': 'Africa',
    '313': 'North America',
    '315': 'Africa',
    '316': 'Africa',
    '317': 'Africa',
    '318': 'Eurasia',
    '319': 'Africa',
    '320': 'Eurasia',
    '321': 'Eurasia',
    '322': 'South America',
    '323': 'South America',
    '324': 'Africa',
    '325': 'Australia',
    '326': 'Africa',
    '327': 'Eurasia',
    '328': 'Eurasia',
    '329': 'South America',
    '330': 'Eurasia',
    '331': 'North America',
    '332': 'Papunesia',
    '333': 'Eurasia',
    '334': 'North America',
    '335': 'Eurasia',
    '336': 'Eurasia',
    '338': 'North America',
    '339': 'Eurasia',
    '340': 'North America',
    '341': 'Eurasia',
    '342': 'Papunesia',
    '343': 'Africa',
    '344': 'Eurasia',
    '345': 'North America',
    '346': 'North America',
    '348': 'Africa',
    '349': 'Papunesia',
    '350': 'Africa',
    '351': 'South America',
    '352': 'Papunesia',
    '353': 'Eurasia',
    '354': 'North America',
    '355': 'Australia',
    '357': 'Africa',
    '358': 'Eurasia',
    '359': 'Africa',
    '360': 'Africa',
    '361': 'Papunesia',
    '362': 'Papunesia',
    '363': 'Eurasia',
    '365': 'North America',
    '366': 'Eurasia',
    '367': 'Eurasia',
    '368': 'Eurasia',
    '369': 'North America',
    '370': 'Australia',
    '371': 'Papunesia',
    '311': 'South America',
    '372': 'South America',
    '373': 'Eurasia',
    '374': 'Africa',
    '375': 'North America',
    '376': 'South America',
    '377': 'Eurasia',
    '378': 'Africa',
    '379': 'Africa',
    '380': 'Africa',
    '382': 'Africa',
    '383': 'South America',
    '384': 'South America',
    '385': 'North America',
    '386': 'South America',
    '387': 'Africa',
    '388': 'South America',
    '389': 'North America',
    '390': 'Eurasia',
    '391': 'Papunesia',
    '392': 'Eurasia',
    '393': 'Africa',
    '394': 'North America',
    '395': 'North America',
    '396': 'North America',
    '397': 'North America',
    '398': 'North America',
    '399': 'North America',
    '400': 'North America',
    '401': 'North America',
    '402': 'North America',
    '403': 'Eurasia',
    '405': 'South America',
    '406': 'Papunesia',
    '407': 'Eurasia',
    '410': 'North America',
    '411': 'North America',
    '412': 'Papunesia',
    '413': 'North America',
    '414': 'Africa',
    '415': 'Africa',
    '416': 'Eurasia',
    '417': 'Eurasia',
    '418': 'Papunesia',
    '419': 'Australia',
    '420': 'Eurasia',
    '421': 'North America',
    '422': 'Papunesia',
    '423': 'South America',
    '424': 'Australia',
    '425': 'North America',
    '426': 'Eurasia',
    '427': 'Papunesia',
    '428': 'North America',
    '429': 'Eurasia',
    '431': 'South America',
    '432': 'South America',
    '433': 'North America',
    '434': 'North America',
    '435': 'North America',
    '436': 'North America',
    '437': 'South America',
    '438': 'South America',
    '439': 'South America',
    '441': 'Eurasia',
    '442': 'Papunesia',
    '517': 'Africa',
    '430': 'South America',
    '404': 'Africa',
    '445': 'Eurasia',
    '446': 'Eurasia',
    '447': 'Eurasia',
    '448': 'South America',
    '449': 'North America',
    '450': 'Africa',
    '451': 'Eurasia',
    '452': 'Eurasia',
    '453': 'Eurasia',
    '454': 'Eurasia',
    '455': 'Papunesia',
    '456': 'Eurasia',
    '457': 'North America',
    '458': 'North America',
    '459': 'Africa',
    '460': 'South America',
    '462': 'Eurasia',
    '463': 'South America',
    '464': 'North America',
    '465': 'North America',
    '466': 'Eurasia',
    '467': 'Africa',
    '468': 'North America',
    '469': 'Eurasia',
    '470': 'Eurasia',
    '471': 'North America',
    '472': 'North America',
    '473': 'North America',
    '474': 'Eurasia',
    '475': 'North America',
    '476': 'North America',
    '477': 'North America',
    '478': 'North America',
    '479': 'North America',
    '480': 'Africa',
    '481': 'Papunesia',
    '482': 'Eurasia',
    '483': 'Eurasia',
    '484': 'Australia',
    '485': 'Papunesia',
    '486': 'Africa',
    '488': 'South America',
    '489': 'Africa',
    '490': 'Eurasia',
    '491': 'Australia',
    '492': 'South America',
    '493': 'North America',
    '494': 'North America',
    '495': 'North America',
    '496': 'North America',
    '497': 'South America',
    '498': 'Eurasia',
    '499': 'Eurasia',
    '500': 'Africa',
    '501': 'North America',
    '502': 'Africa',
    '503': 'Eurasia',
    '504': 'Eurasia',
    '505': 'Eurasia',
    '506': 'Papunesia',
    '508': 'North America',
    '509': 'Africa',
    '510': 'Africa',
    '511': 'Australia',
    '512': 'Africa',
    '513': 'Africa',
    '514': 'Papunesia',
    '516': 'Papunesia',
    '518': 'Africa',
    '519': 'Africa',
    '520': 'Eurasia',
    '522': 'Africa',
    '523': 'Africa',
    '524': 'South America',
    '525': 'Eurasia',
    '526': 'Africa',
    '527': 'Papunesia',
    '528': 'Eurasia',
    '529': 'Africa',
    '530': 'Africa',
    '531': 'Eurasia',
    '532': 'Papunesia',
    '533': 'Eurasia',
    '534': 'Eurasia',
    '535': 'South America',
    '536': 'Africa',
    '537': 'Australia',
    '538': 'Eurasia',
    '539': 'Papunesia',
    '540': 'North America',
    '541': 'Eurasia',
    '542': 'Papunesia',
    '543': 'South America',
    '545': 'South America',
    '546': 'Papunesia',
    '547': 'Papunesia',
    '548': 'Africa',
    '549': 'Eurasia',
    '550': 'Papunesia',
    '551': 'Eurasia',
    '553': 'Australia',
    '555': 'Africa',
    '557': 'Papunesia',
    '558': 'North America',
    '559': 'Papunesia',
    '560': 'Papunesia',
    '561': 'Africa',
    '562': 'North America',
    '563': 'Eurasia',
    '564': 'North America',
    '565': 'Africa',
    '567': 'Papunesia',
    '568': 'Papunesia',
    '569': 'North America',
    '570': 'Eurasia',
    '571': 'Africa',
    '572': 'Africa',
    '574': 'Africa',
    '576': 'Papunesia',
    '577': 'South America',
    '578': 'North America',
    '579': 'North America',
    '580': 'Africa',
    '581': 'Papunesia',
    '583': 'Eurasia',
    '584': 'Papunesia',
    '585': 'South America',
    '586': 'Papunesia',
    '587': 'Eurasia',
    '588': 'Eurasia',
    '589': 'Eurasia',
    '591': 'Africa',
    '592': 'North America',
    '1580': 'Papunesia',
    '573': 'South America',
    '582': 'South America',
    '575': 'Africa',
    '593': 'North America',
    '594': 'Papunesia',
    '596': 'Africa',
    '597': 'North America',
    '598': 'Eurasia',
    '600': 'Eurasia',
    '601': 'Eurasia',
    '602': 'Africa',
    '603': 'Papunesia',
    '604': 'North America',
    '606': 'Papunesia',
    '607': 'Papunesia',
    '609': 'North America',
    '610': 'Australia',
    '611': 'Papunesia',
    '615': 'North America',
    '616': 'Eurasia',
    '617': 'Papunesia',
    '618': 'South America',
    '619': 'South America',
    '620': 'Africa',
    '621': 'Africa',
    '622': 'Papunesia',
    '623': 'North America',
    '624': 'Eurasia',
    '625': 'Eurasia',
    '626': 'Eurasia',
    '627': 'South America',
    '628': 'Africa',
    '630': 'Papunesia',
    '631': 'Africa',
    '632': 'North America',
    '633': 'Eurasia',
    '634': 'Africa',
    '635': 'Eurasia',
    '636': 'Eurasia',
    '637': 'North America',
    '638': 'Eurasia',
    '639': 'Papunesia',
    '640': 'Papunesia',
    '644': 'South America',
    '646': 'Eurasia',
    '647': 'Eurasia',
    '648': 'Eurasia',
    '649': 'Eurasia',
    '650': 'Eurasia',
    '651': 'Eurasia',
    '652': 'Eurasia',
    '653': 'Eurasia',
    '654': 'Eurasia',
    '655': 'Eurasia',
    '656': 'Eurasia',
    '658': 'Eurasia',
    '659': 'Papunesia',
    '660': 'North America',
    '661': 'Africa',
    '662': 'Papunesia',
    '663': 'South America',
    '664': 'North America',
    '665': 'North America',
    '666': 'Africa',
    '608': 'South America',
    '667': 'North America',
    '668': 'South America',
    '669': 'North America',
    '670': 'Africa',
    '671': 'Australia',
    '672': 'Papunesia',
    '673': 'Africa',
    '674': 'Africa',
    '675': 'Papunesia',
    '676': 'North America',
    '677': 'Africa',
    '678': 'Australia',
    '680': 'Africa',
    '681': 'Africa',
    '682': 'North America',
    '683': 'Eurasia',
    '684': 'Papunesia',
    '685': 'Eurasia',
    '686': 'South America',
    '687': 'Papunesia',
    '688': 'North America',
    '689': 'North America',
    '690': 'Africa',
    '691': 'South America',
    '693': 'North America',
    '694': 'Papunesia',
    '695': 'Africa',
    '696': 'Papunesia',
    '697': 'Eurasia',
    '698': 'Eurasia',
    '699': 'Africa',
    '700': 'Papunesia',
    '701': 'Papunesia',
    '702': 'Papunesia',
    '703': 'North America',
    '704': 'Eurasia',
    '705': 'Africa',
    '706': 'Africa',
    '707': 'Africa',
    '708': 'Eurasia',
    '709': 'Africa',
    '710': 'South America',
    '712': 'Africa',
    '713': 'Papunesia',
    '714': 'Australia',
    '715': 'Papunesia',
    '716': 'Australia',
    '717': 'Eurasia',
    '718': 'Australia',
    '719': 'Africa',
    '720': 'Papunesia',
    '721': 'Papunesia',
    '722': 'Africa',
    '723': 'Africa',
    '725': 'Africa',
    '726': 'Africa',
    '727': 'Papunesia',
    '728': 'Papunesia',
    '729': 'Papunesia',
    '730': 'Africa',
    '731': 'Papunesia',
    '732': 'North America',
    '733': 'Papunesia',
    '734': 'Africa',
    '735': 'Papunesia',
    '736': 'South America',
    '737': 'Papunesia',
    '738': 'North America',
    '739': 'South America',
    '740': 'Papunesia',
    '741': 'Eurasia',
    '742': 'Africa',
    '743': 'Eurasia',
    '744': 'Eurasia',
    '745': 'North America',
    '746': 'Papunesia',
    '748': 'Eurasia',
    '749': 'Africa',
    '750': 'Papunesia',
    '752': 'North America',
    '753': 'Eurasia',
    '754': 'Papunesia',
    '755': 'Papunesia',
    '756': 'Papunesia',
    '757': 'Papunesia',
    '758': 'Eurasia',
    '759': 'Papunesia',
    '760': 'North America',
    '761': 'North America',
    '762': 'Eurasia',
    '763': 'Australia',
    '764': 'Papunesia',
    '766': 'Papunesia',
    '767': 'Papunesia',
    '768': 'Africa',
    '769': 'Papunesia',
    '770': 'Australia',
    '771': 'Papunesia',
    '772': 'Eurasia',
    '773': 'South America',
    '774': 'Australia',
    '775': 'North America',
    '776': 'North America',
    '777': 'Eurasia',
    '778': 'North America',
    '779': 'Papunesia',
    '780': 'South America',
    '781': 'Eurasia',
    '782': 'South America',
    '783': 'Eurasia',
    '784': 'Eurasia',
    '785': 'Eurasia',
    '787': 'North America',
    '788': 'Papunesia',
    '789': 'North America',
    '790': 'South America',
    '791': 'Eurasia',
    '792': 'Papunesia',
    '793': 'Papunesia',
    '794': 'Africa',
    '795': 'Eurasia',
    '796': 'Papunesia',
    '798': 'North America',
    '799': 'Africa',
    '800': 'Africa',
    '801': 'South America',
    '802': 'Africa',
    '803': 'North America',
    '804': 'Papunesia',
    '805': 'Eurasia',
    '806': 'Papunesia',
    '807': 'Papunesia',
    '809': 'Australia',
    '810': 'Papunesia',
    '811': 'Australia',
    '812': 'Eurasia',
    '813': 'Papunesia',
    '814': 'Papunesia',
    '815': 'Eurasia',
    '816': 'Eurasia',
    '817': 'Eurasia',
    '1733': 'Africa',
    '765': 'South America',
    '751': 'Africa',
    '818': 'Eurasia',
    '819': 'South America',
    '820': 'North America',
    '821': 'Australia',
    '823': 'Australia',
    '824': 'North America',
    '825': 'North America',
    '826': 'Eurasia',
    '827': 'Africa',
    '829': 'Papunesia',
    '830': 'Africa',
    '831': 'Eurasia',
    '832': 'South America',
    '833': 'Africa',
    '834': 'Papunesia',
    '835': 'North America',
    '836': 'Eurasia',
    '837': 'Africa',
    '838': 'Eurasia',
    '839': 'Papunesia',
    '840': 'Papunesia',
    '842': 'Africa',
    '843': 'Africa',
    '844': 'Africa',
    '845': 'Africa',
    '846': 'Australia',
    '847': 'North America',
    '848': 'Papunesia',
    '849': 'Papunesia',
    '850': 'Africa',
    '851': 'Eurasia',
    '852': 'North America',
    '853': 'Eurasia',
    '854': 'North America',
    '855': 'Eurasia',
    '856': 'Papunesia',
    '857': 'South America',
    '858': 'South America',
    '859': 'Australia',
    '862': 'Africa',
    '863': 'Africa',
    '864': 'Papunesia',
    '865': 'Africa',
    '866': 'South America',
    '867': 'Africa',
    '868': 'South America',
    '869': 'Eurasia',
    '870': 'North America',
    '871': 'South America',
    '872': 'Africa',
    '873': 'North America',
    '874': 'Africa',
    '875': 'Eurasia',
    '876': 'Africa',
    '877': 'Eurasia',
    '878': 'Papunesia',
    '879': 'Eurasia',
    '880': 'Eurasia',
    '881': 'North America',
    '882': 'Africa',
    '883': 'Eurasia',
    '884': 'Africa',
    '885': 'Eurasia',
    '886': 'Australia',
    '887': 'Papunesia',
    '888': 'Eurasia',
    '889': 'North America',
    '890': 'Eurasia',
    '891': 'Africa',
    '892': 'Eurasia',
    '1734': 'Africa',
    '828': 'Papunesia',
    '861': 'South America',
    '893': 'North America',
    '894': 'North America',
    '895': 'Papunesia',
    '896': 'Australia',
    '897': 'Africa',
    '898': 'North America',
    '899': 'North America',
    '900': 'Eurasia',
    '901': 'North America',
    '902': 'Papunesia',
    '903': 'Eurasia',
    '904': 'Africa',
    '905': 'Papunesia',
    '906': 'Australia',
    '907': 'Africa',
    '908': 'Eurasia',
    '909': 'South America',
    '910': 'Papunesia',
    '911': 'Africa',
    '912': 'Papunesia',
    '913': 'Papunesia',
    '914': 'Africa',
    '915': 'Africa',
    '916': 'Australia',
    '917': 'Africa',
    '918': 'Australia',
    '919': 'Africa',
    '920': 'North America',
    '921': 'South America',
    '922': 'North America',
    '923': 'Africa',
    '924': 'Papunesia',
    '925': 'Eurasia',
    '926': 'Eurasia',
    '927': 'Eurasia',
    '928': 'South America',
    '929': 'North America',
    '930': 'Eurasia',
    '931': 'Africa',
    '932': 'South America',
    '933': 'Africa',
    '934': 'Eurasia',
    '935': 'Africa',
    '936': 'Eurasia',
    '937': 'Eurasia',
    '938': 'Africa',
    '939': 'Africa',
    '940': 'North America',
    '941': 'North America',
    '942': 'North America',
    '943': 'Africa',
    '944': 'Africa',
    '945': 'Africa',
    '946': 'North America',
    '947': 'South America',
    '948': 'North America',
    '949': 'Australia',
    '950': 'South America',
    '951': 'Papunesia',
    '952': 'Papunesia',
    '953': 'Papunesia',
    '954': 'Africa',
    '955': 'Africa',
    '956': 'Papunesia',
    '957': 'North America',
    '958': 'Africa',
    '959': 'Papunesia',
    '960': 'South America',
    '961': 'Papunesia',
    '962': 'Africa',
    '963': 'Australia',
    '964': 'Australia',
    '965': 'North America',
    '966': 'Australia',
    '967': 'North America',
    '968': 'Papunesia',
    '969': 'Africa',
    '970': 'Eurasia',
    '971': 'North America',
    '972': 'Papunesia',
    '973': 'Papunesia',
    '974': 'Africa',
    '975': 'Papunesia',
    '976': 'Eurasia',
    '977': 'North America',
    '978': 'North America',
    '979': 'South America',
    '980': 'Africa',
    '981': 'Papunesia',
    '982': 'Eurasia',
    '983': 'Papunesia',
    '984': 'North America',
    '985': 'Eurasia',
    '986': 'Eurasia',
    '987': 'Papunesia',
    '989': 'Africa',
    '990': 'Africa',
    '992': 'North America',
    '993': 'North America',
    '994': 'Eurasia',
    '995': 'North America',
    '996': 'Papunesia',
    '997': 'Africa',
    '998': 'Eurasia',
    '999': 'Eurasia',
    '1000': 'North America',
    '1002': 'Africa',
    '1003': 'North America',
    '1004': 'South America',
    '1005': 'South America',
    '1006': 'Papunesia',
    '1007': 'Papunesia',
    '1008': 'South America',
    '1009': 'Africa',
    '1010': 'North America',
    '1011': 'South America',
    '1012': 'Papunesia',
    '1013': 'North America',
    '1014': 'North America',
    '1015': 'Papunesia',
    '1016': 'Africa',
    '1017': 'South America',
    '1018': 'Eurasia',
    '1019': 'Africa',
    '1020': 'Africa',
    '1021': 'South America',
    '1022': 'Eurasia',
    '1023': 'Africa',
    '1024': 'Eurasia',
    '1025': 'South America',
    '1026': 'Papunesia',
    '1027': 'South America',
    '1028': 'Australia',
    '1029': 'Australia',
    '1030': 'Africa',
    '1031': 'Africa',
    '1033': 'Papunesia',
    '1034': 'Africa',
    '1035': 'Papunesia',
    '1036': 'Papunesia',
    '1037': 'Eurasia',
    '1038': 'Africa',
    '1040': 'Africa',
    '1041': 'Australia',
    '1042': 'Papunesia',
    '1043': 'Papunesia',
    '1044': 'Africa',
    '1045': 'Australia',
    '1046': 'Papunesia',
    '1047': 'Papunesia',
    '1048': 'Africa',
    '1049': 'Papunesia',
    '1050': 'Africa',
    '1051': 'Africa',
    '1052': 'Africa',
    '1055': 'Australia',
    '1056': 'Africa',
    '1057': 'Papunesia',
    '1058': 'Papunesia',
    '1059': 'North America',
    '1060': 'North America',
    '1061': 'North America',
    '1063': 'Eurasia',
    '1065': 'North America',
    '1066': 'South America',
    '1067': 'Eurasia',
    '1068': 'Papunesia',
    '1069': 'South America',
    '1070': 'Africa',
    '1071': 'Africa',
    '1072': 'South America',
    '1073': 'Eurasia',
    '1074': 'Eurasia',
    '1075': 'Papunesia',
    '1076': 'Australia',
    '1077': 'North America',
    '1078': 'Eurasia',
    '1079': 'Papunesia',
    '1080': 'Eurasia',
    '1081': 'Africa',
    '1082': 'Africa',
    '1083': 'Papunesia',
    '1084': 'Papunesia',
    '1085': 'Papunesia',
    '1086': 'Eurasia',
    '1087': 'Africa',
    '1088': 'North America',
    '1089': 'Papunesia',
    '1090': 'Papunesia',
    '1091': 'Africa',
    '1092': 'Africa',
    '1093': 'South America',
    '1094': 'Eurasia',
    '1095': 'North America',
    '1096': 'Australia',
    '1097': 'Papunesia',
    '1098': 'South America',
    '1099': 'Africa',
    '1100': 'Papunesia',
    '1102': 'Africa',
    '1103': 'Africa',
    '1104': 'Papunesia',
    '1105': 'Papunesia',
    '1106': 'North America',
    '1107': 'North America',
    '1108': 'Papunesia',
    '1109': 'North America',
    '1110': 'North America',
    '1111': 'Eurasia',
    '1112': 'Eurasia',
    '1113': 'Eurasia',
    '1114': 'Africa',
    '1115': 'Eurasia',
    '1116': 'Africa',
    '1117': 'South America',
    '1118': 'Eurasia',
    '1119': 'Australia',
    '1120': 'Eurasia',
    '1121': 'Eurasia',
    '1123': 'South America',
    '1124': 'Africa',
    '1125': 'Papunesia',
    '1126': 'Africa',
    '1127': 'Africa',
    '1128': 'Australia',
    '1129': 'Africa',
    '1130': 'Papunesia',
    '1131': 'Africa',
    '1132': 'Papunesia',
    '1135': 'Papunesia',
    '1136': 'Papunesia',
    '1137': 'Papunesia',
    '1138': 'Eurasia',
    '1139': 'North America',
    '1140': 'Papunesia',
    '1141': 'Papunesia',
    '1142': 'North America',
    '1143': 'Eurasia',
    '1144': 'Eurasia',
    '1146': 'Eurasia',
    '1147': 'Eurasia',
    '1148': 'Eurasia',
    '1149': 'Africa',
    '1150': 'Australia',
    '1151': 'Eurasia',
    '1152': 'Australia',
    '1153': 'South America',
    '1154': 'Africa',
    '1155': 'Papunesia',
    '1156': 'Africa',
    '1157': 'Africa',
    '1158': 'Africa',
    '1160': 'Africa',
    '1161': 'Eurasia',
    '1162': 'Australia',
    '1163': 'South America',
    '1164': 'North America',
    '1165': 'South America',
    '1166': 'Eurasia',
    '1167': 'Australia',
    '1168': 'Africa',
    '1169': 'Papunesia',
    '1170': 'Papunesia',
    '1171': 'Africa',
    '1172': 'Eurasia',
    '1173': 'North America',
    '1174': 'Africa',
    '1175': 'South America',
    '1176': 'Papunesia',
    '1177': 'South America',
    '1178': 'Eurasia',
    '1179': 'Africa',
    '1180': 'North America',
    '1181': 'Eurasia',
    '1182': 'Africa',
    '1183': 'Papunesia',
    '1185': 'Eurasia',
    '1186': 'Eurasia',
    '1187': 'Africa',
    '1190': 'Papunesia',
    '1191': 'North America',
    '1192': 'South America',
    '1193': 'Australia',
    '1194': 'Papunesia',
    '1195': 'Eurasia',
    '1196': 'Papunesia',
    '1197': 'North America',
    '1122': 'Papunesia',
    '1134': 'Papunesia',
    '1188': 'South America',
    '1184': 'Africa',
    '1199': 'South America',
    '1200': 'South America',
    '1201': 'Eurasia',
    '1202': 'Papunesia',
    '1203': 'Africa',
    '1204': 'Africa',
    '1205': 'Eurasia',
    '1207': 'Australia',
    '1208': 'Papunesia',
    '1209': 'Eurasia',
    '1210': 'Africa',
    '1211': 'Africa',
    '1212': 'Australia',
    '1213': 'Eurasia',
    '1214': 'South America',
    '1215': 'Australia',
    '1216': 'Africa',
    '1217': 'Eurasia',
    '1218': 'Africa',
    '1220': 'Eurasia',
    '1221': 'North America',
    '1222': 'South America',
    '1223': 'North America',
    '1224': 'Papunesia',
    '1225': 'Africa',
    '1226': 'Africa',
    '1227': 'Eurasia',
    '1228': 'Africa',
    '1229': 'Africa',
    '1230': 'Africa',
    '1231': 'Eurasia',
    '1232': 'Eurasia',
    '1233': 'Africa',
    '1234': 'South America',
    '1235': 'Africa',
    '1236': 'Eurasia',
    '1237': 'Eurasia',
    '1238': 'Africa',
    '1240': 'South America',
    '1241': 'Africa',
    '1242': 'Eurasia',
    '1243': 'Papunesia',
    '1244': 'Africa',
    '1245': 'Papunesia',
    '1246': 'Africa',
    '1247': 'Africa',
    '1248': 'Africa',
    '1249': 'South America',
    '1250': 'Eurasia',
    '1251': 'Africa',
    '1252': 'Eurasia',
    '1253': 'Africa',
    '1254': 'Papunesia',
    '1256': 'Africa',
    '1257': 'Papunesia',
    '1258': 'Papunesia',
    '1259': 'Eurasia',
    '1260': 'Africa',
    '1261': 'Africa',
    '1262': 'Eurasia',
    '1263': 'Eurasia',
    '1264': 'Papunesia',
    '1265': 'North America',
    '1266': 'Australia',
    '1267': 'Papunesia',
    '1268': 'Eurasia',
    '1269': 'Eurasia',
    '1270': 'Papunesia',
    '1271': 'Eurasia',
    '1272': 'Papunesia',
    '1273': 'Africa',
    '1198': 'Papunesia',
    '1255': 'Africa',
    '1274': 'Africa',
    '1276': 'Africa',
    '1277': 'Eurasia',
    '1278': 'Africa',
    '1279': 'Africa',
    '1280': 'North America',
    '1282': 'Africa',
    '1283': 'Africa',
    '1284': 'South America',
    '1285': 'Papunesia',
    '1287': 'Eurasia',
    '1288': 'Eurasia',
    '1289': 'Eurasia',
    '1291': 'South America',
    '1292': 'North America',
    '1293': 'Papunesia',
    '1295': 'Africa',
    '1296': 'Africa',
    '1297': 'Papunesia',
    '1299': 'South America',
    '1300': 'South America',
    '1301': 'South America',
    '1302': 'Africa',
    '1303': 'Australia',
    '1304': 'Africa',
    '1305': 'Africa',
    '1306': 'Papunesia',
    '1307': 'North America',
    '1308': 'Africa',
    '1310': 'Africa',
    '1311': 'Africa',
    '1312': 'Africa',
    '1313': 'Eurasia',
    '1315': 'Africa',
    '1316': 'Papunesia',
    '1317': 'Eurasia',
    '1318': 'Eurasia',
    '1319': 'Australia',
    '1320': 'Australia',
    '1322': 'Africa',
    '1323': 'Australia',
    '1324': 'North America',
    '1325': 'Eurasia',
    '1326': 'North America',
    '1327': 'Eurasia',
    '1328': 'Africa',
    '1329': 'Africa',
    '1330': 'Africa',
    '1331': 'Africa',
    '1332': 'Africa',
    '1333': 'Papunesia',
    '1334': 'Australia',
    '1335': 'South America',
    '1336': 'Africa',
    '1337': 'South America',
    '1338': 'South America',
    '1339': 'South America',
    '1340': 'Australia',
    '1341': 'Australia',
    '1342': 'Africa',
    '1343': 'Africa',
    '1344': 'Australia',
    '1345': 'Africa',
    '1346': 'South America',
    '1347': 'Papunesia',
    '1348': 'Africa',
    '1349': 'South America',
    '1314': 'Eurasia',
    '1286': 'South America',
    '1290': 'South America',
    '1321': 'Africa',
    '1350': 'South America',
    '1351': 'South America',
    '1352': 'Australia',
    '1353': 'Africa',
    '1354': 'Papunesia',
    '1355': 'Eurasia',
    '1356': 'North America',
    '1357': 'Eurasia',
    '1358': 'Papunesia',
    '1359': 'Africa',
    '1360': 'Africa',
    '1361': 'North America',
    '1362': 'Africa',
    '1363': 'South America',
    '1365': 'North America',
    '1366': 'Papunesia',
    '1367': 'Australia',
    '1368': 'Africa',
    '1369': 'Papunesia',
    '1370': 'Eurasia',
    '1372': 'Africa',
    '1373': 'Papunesia',
    '1374': 'Papunesia',
    '1375': 'Africa',
    '1376': 'Eurasia',
    '1377': 'Papunesia',
    '1378': 'Australia',
    '1379': 'Africa',
    '1380': 'Africa',
    '1381': 'Africa',
    '1382': 'North America',
    '1383': 'Africa',
    '1384': 'Africa',
    '1385': 'Australia',
    '1387': 'Eurasia',
    '1388': 'Africa',
    '1389': 'Africa',
    '1390': 'Eurasia',
    '1391': 'North America',
    '1392': 'Australia',
    '1393': 'Australia',
    '1394': 'North America',
    '1395': 'Papunesia',
    '1396': 'Eurasia',
    '1397': 'Papunesia',
    '1398': 'Africa',
    '1399': 'Eurasia',
    '1400': 'North America',
    '1401': 'Eurasia',
    '1402': 'Australia',
    '1403': 'Africa',
    '1404': 'North America',
    '1405': 'Africa',
    '1406': 'Africa',
    '1407': 'North America',
    '1408': 'North America',
    '1409': 'North America',
    '1410': 'Africa',
    '1411': 'Africa',
    '1412': 'Africa',
    '1413': 'Papunesia',
    '1414': 'Australia',
    '1415': 'Africa',
    '1416': 'Eurasia',
    '1417': 'Eurasia',
    '1418': 'Eurasia',
    '1419': 'South America',
    '1420': 'Papunesia',
    '1421': 'Africa',
    '1422': 'Eurasia',
    '1423': 'Africa',
    '1424': 'Africa',
    '1425': 'Africa',
    '1426': 'Papunesia',
    '1364': 'Africa',
    '1428': 'Papunesia',
    '1429': 'Africa',
    '1430': 'Africa',
    '1431': 'Papunesia',
    '1432': 'Eurasia',
    '1433': 'Australia',
    '1434': 'South America',
    '1435': 'North America',
    '1436': 'Eurasia',
    '1437': 'Papunesia',
    '1438': 'Papunesia',
    '1439': 'Australia',
    '1440': 'Papunesia',
    '1441': 'Africa',
    '1442': 'Africa',
    '1443': 'Papunesia',
    '1444': 'North America',
    '1445': 'South America',
    '1446': 'North America',
    '1447': 'Africa',
    '1448': 'Australia',
    '1449': 'Eurasia',
    '1450': 'Australia',
    '1451': 'Africa',
    '1452': 'Africa',
    '1454': 'South America',
    '1455': 'Australia',
    '1456': 'Eurasia',
    '1457': 'Eurasia',
    '1458': 'Papunesia',
    '1459': 'Eurasia',
    '1460': 'Papunesia',
    '1461': 'Eurasia',
    '1462': 'Eurasia',
    '1463': 'North America',
    '1464': 'Papunesia',
    '1465': 'Papunesia',
    '1467': 'Australia',
    '1468': 'South America',
    '1469': 'South America',
    '1470': 'Africa',
    '1471': 'Eurasia',
    '1472': 'North America',
    '1473': 'Africa',
    '1474': 'Papunesia',
    '1475': 'Eurasia',
    '1476': 'Africa',
    '1477': 'Africa',
    '1478': 'Africa',
    '1479': 'North America',
    '1480': 'Eurasia',
    '1481': 'Africa',
    '1482': 'Eurasia',
    '1483': 'Papunesia',
    '1484': 'Papunesia',
    '1485': 'Papunesia',
    '1486': 'Eurasia',
    '1488': 'Africa',
    '1490': 'Papunesia',
    '1491': 'Papunesia',
    '1492': 'Eurasia',
    '1493': 'Eurasia',
    '1494': 'Papunesia',
    '1495': 'North America',
    '1496': 'Africa',
    '1497': 'Eurasia',
    '1498': 'Africa',
    '1499': 'South America',
    '1500': 'South America',
    '1501': 'Africa',
    '1502': 'Africa',
    '1427': 'Eurasia',
    '1503': 'Australia',
    '1504': 'South America',
    '1505': 'South America',
    '1506': 'Australia',
    '1507': 'Australia',
    '1508': 'Africa',
    '1510': 'Papunesia',
    '1511': 'North America',
    '1512': 'Africa',
    '1513': 'Australia',
    '1514': 'Papunesia',
    '1515': 'Africa',
    '1516': 'North America',
    '1517': 'South America',
    '1518': 'Papunesia',
    '1519': 'Papunesia',
    '1520': 'Eurasia',
    '1521': 'Papunesia',
    '1522': 'Eurasia',
    '1523': 'Africa',
    '1524': 'South America',
    '1525': 'Eurasia',
    '1526': 'Eurasia',
    '1527': 'Eurasia',
    '1528': 'Papunesia',
    '1529': 'Eurasia',
    '1530': 'Papunesia',
    '1531': 'Africa',
    '1532': 'Africa',
    '1533': 'Australia',
    '1534': 'North America',
    '1535': 'North America',
    '1536': 'Papunesia',
    '1537': 'Papunesia',
    '1538': 'Papunesia',
    '1539': 'Africa',
    '1540': 'North America',
    '1541': 'North America',
    '1542': 'Eurasia',
    '1543': 'Africa',
    '1544': 'Eurasia',
    '1545': 'Africa',
    '1546': 'Papunesia',
    '1548': 'Papunesia',
    '1549': 'North America',
    '1551': 'Papunesia',
    '1552': 'Africa',
    '1553': 'South America',
    '1554': 'Papunesia',
    '1555': 'South America',
    '1556': 'Africa',
    '1557': 'North America',
    '1558': 'South America',
    '1559': 'South America',
    '1560': 'Papunesia',
    '1561': 'Papunesia',
    '1562': 'North America',
    '1563': 'Africa',
    '1564': 'Eurasia',
    '1565': 'North America',
    '1566': 'Eurasia',
    '1567': 'Africa',
    '1568': 'Papunesia',
    '1569': 'Papunesia',
    '1570': 'Eurasia',
    '1571': 'South America',
    '1572': 'Africa',
    '1573': 'Eurasia',
    '1574': 'North America',
    '1575': 'South America',
    '1576': 'Eurasia',
    '1577': 'Papunesia',
    '1578': 'Papunesia',
    '1579': 'North America',
    '1547': 'Africa',
    '1581': 'Papunesia',
    '1582': 'Papunesia',
    '1583': 'North America',
    '1584': 'Eurasia',
    '1585': 'Papunesia',
    '1586': 'Eurasia',
    '1587': 'Papunesia',
    '1588': 'Africa',
    '1589': 'South America',
    '1590': 'North America',
    '1592': 'Eurasia',
    '1593': 'Papunesia',
    '1594': 'Australia',
    '1595': 'South America',
    '1596': 'Africa',
    '1597': 'North America',
    '1598': 'Eurasia',
    '1599': 'Papunesia',
    '1600': 'Africa',
    '1601': 'Papunesia',
    '1602': 'Eurasia',
    '1603': 'Eurasia',
    '1604': 'Papunesia',
    '1605': 'Eurasia',
    '1606': 'Africa',
    '1607': 'Africa',
    '1608': 'Africa',
    '1609': 'Papunesia',
    '1610': 'Africa',
    '1611': 'Australia',
    '1612': 'Papunesia',
    '1613': 'Africa',
    '1614': 'Africa',
    '1615': 'Eurasia',
    '1616': 'Eurasia',
    '1617': 'North America',
    '1618': 'South America',
    '1619': 'Eurasia',
    '1620': 'North America',
    '1621': 'Papunesia',
    '1622': 'North America',
    '1623': 'Papunesia',
    '1624': 'North America',
    '1625': 'Eurasia',
    '1626': 'South America',
    '1627': 'Eurasia',
    '1628': 'Australia',
    '1629': 'North America',
    '1630': 'Africa',
    '1631': 'South America',
    '1632': 'Papunesia',
    '1633': 'Africa',
    '1634': 'Africa',
    '1636': 'South America',
    '1637': 'North America',
    '1638': 'Australia',
    '1639': 'Africa',
    '1640': 'Eurasia',
    '1642': 'Eurasia',
    '1643': 'Africa',
    '1644': 'North America',
    '1645': 'Africa',
    '1646': 'Papunesia',
    '1647': 'South America',
    '1648': 'Africa',
    '1649': 'Africa',
    '1650': 'Eurasia',
    '1653': 'Africa',
    '1654': 'Africa',
    '1655': 'North America',
    '1656': 'North America',
    '1635': 'South America',
    '1591': 'North America',
    '1657': 'Eurasia',
    '1658': 'Australia',
    '1659': 'South America',
    '1660': 'Papunesia',
    '1661': 'Africa',
    '1662': 'South America',
    '1663': 'Eurasia',
    '1664': 'Papunesia',
    '1665': 'Papunesia',
    '1666': 'Eurasia',
    '1667': 'North America',
    '1668': 'Africa',
    '1669': 'Papunesia',
    '1670': 'Australia',
    '1671': 'Australia',
    '1673': 'Africa',
    '1674': 'Africa',
    '1675': 'Papunesia',
    '1676': 'Papunesia',
    '1677': 'Africa',
    '1678': 'Eurasia',
    '1679': 'North America',
    '1680': 'Eurasia',
    '1681': 'Papunesia',
    '1682': 'Africa',
    '1684': 'Australia',
    '1685': 'Africa',
    '1686': 'Papunesia',
    '1687': 'Papunesia',
    '1688': 'Africa',
    '1689': 'Papunesia',
    '1690': 'Papunesia',
    '1691': 'Australia',
    '1692': 'Eurasia',
    '1693': 'Papunesia',
    '1695': 'Eurasia',
    '1696': 'North America',
    '1697': 'Papunesia',
    '1698': 'Africa',
    '1699': 'Australia',
    '1700': 'Eurasia',
    '1701': 'Papunesia',
    '1702': 'Eurasia',
    '1703': 'Australia',
    '1704': 'Eurasia',
    '1705': 'Papunesia',
    '1706': 'Africa',
    '1707': 'Eurasia',
    '1708': 'Papunesia',
    '1709': 'Eurasia',
    '1710': 'Papunesia',
    '1712': 'Eurasia',
    '1713': 'Papunesia',
    '1714': 'Eurasia',
    '1715': 'Eurasia',
    '1716': 'North America',
    '1717': 'North America',
    '1718': 'Eurasia',
    '1719': 'North America',
    '1720': 'Africa',
    '1721': 'South America',
    '1722': 'South America',
    '1723': 'Africa',
    '1724': 'Africa',
    '1725': 'Africa',
    '1726': 'Papunesia',
    '1727': 'Papunesia',
    '1728': 'Papunesia',
    '1729': 'Australia',
    '1730': 'Eurasia',
    '1731': 'North America',
    '1732': 'Eurasia',
    '1683': 'South America',
    '1711': 'South America',
    '1735': 'Africa',
    '1736': 'Papunesia',
    '1737': 'North America',
    '1738': 'Papunesia',
    '1739': 'Papunesia',
    '1740': 'Eurasia',
    '1741': 'Eurasia',
    '1742': 'Papunesia',
    '1743': 'Australia',
    '1744': 'North America',
    '1745': 'Africa',
    '1746': 'Eurasia',
    '1747': 'Eurasia',
    '1748': 'Papunesia',
    '1749': 'Australia',
    '1750': 'Eurasia',
    '1751': 'Eurasia',
    '1752': 'Eurasia',
    '1753': 'Papunesia',
    '1754': 'Eurasia',
    '1755': 'North America',
    '1756': 'Africa',
    '1757': 'Africa',
    '1758': 'North America',
    '1759': 'South America',
    '1761': 'Africa',
    '1762': 'Africa',
    '1763': 'Africa',
    '1764': 'Africa',
    '1766': 'Africa',
    '1767': 'Papunesia',
    '1768': 'North America',
    '1769': 'North America',
    '1771': 'Australia',
    '1772': 'Africa',
    '1773': 'Africa',
    '1774': 'North America',
    '1776': 'Africa',
    '1777': 'Papunesia',
    '1778': 'Eurasia',
    '1779': 'Papunesia',
    '1780': 'Africa',
    '1781': 'Africa',
    '1782': 'Eurasia',
    '1783': 'Papunesia',
    '1784': 'Australia',
    '1785': 'North America',
    '1787': 'North America',
    '1788': 'North America',
    '1789': 'Papunesia',
    '1790': 'Eurasia',
    '1792': 'South America',
    '1793': 'North America',
    '1794': 'Africa',
    '1796': 'Africa',
    '1797': 'South America',
    '1798': 'Papunesia',
    '1799': 'Africa',
    '1800': 'North America',
    '1802': 'Eurasia',
    '1803': 'Eurasia',
    '1804': 'Africa',
    '1805': 'Eurasia',
    '1806': 'Papunesia',
    '1807': 'Eurasia',
    '1808': 'North America',
    '1809': 'Papunesia',
    '1962': 'Eurasia',
    '1786': 'South America',
    '1760': 'Africa',
    '1810': 'Africa',
    '1811': 'Papunesia',
    '1812': 'Papunesia',
    '1813': 'South America',
    '1814': 'Africa',
    '1815': 'Africa',
    '1816': 'Papunesia',
    '1818': 'Africa',
    '1819': 'Eurasia',
    '1820': 'North America',
    '1821': 'Africa',
    '1823': 'Eurasia',
    '1824': 'North America',
    '1825': 'Africa',
    '1826': 'Africa',
    '1827': 'Eurasia',
    '1828': 'Eurasia',
    '1830': 'Papunesia',
    '1831': 'Eurasia',
    '1832': 'Eurasia',
    '1833': 'Africa',
    '1835': 'Papunesia',
    '1836': 'Africa',
    '1837': 'North America',
    '1838': 'Eurasia',
    '1839': 'Australia',
    '1840': 'Eurasia',
    '1841': 'North America',
    '1842': 'South America',
    '1843': 'Papunesia',
    '1844': 'Eurasia',
    '1845': 'North America',
    '1846': 'Africa',
    '1847': 'North America',
    '1848': 'Africa',
    '1849': 'North America',
    '1850': 'South America',
    '1851': 'South America',
    '1852': 'Africa',
    '1853': 'North America',
    '1854': 'Australia',
    '1855': 'South America',
    '1856': 'Africa',
    '1857': 'Australia',
    '1858': 'Papunesia',
    '1859': 'Papunesia',
    '1860': 'Australia',
    '1861': 'Australia',
    '1862': 'Papunesia',
    '1863': 'Africa',
    '1864': 'Africa',
    '1865': 'Africa',
    '1866': 'Africa',
    '1867': 'Africa',
    '1870': 'Eurasia',
    '1871': 'South America',
    '1872': 'Eurasia',
    '1873': 'Eurasia',
    '1874': 'Africa',
    '1875': 'Eurasia',
    '1876': 'Papunesia',
    '1877': 'Eurasia',
    '1878': 'Australia',
    '1879': 'Australia',
    '1880': 'Africa',
    '1882': 'Africa',
    '1883': 'Africa',
    '1884': 'Papunesia',
    '2342': 'Africa',
    '1868': 'South America',
    '1886': 'Africa',
    '1887': 'South America',
    '1889': 'North America',
    '1890': 'North America',
    '1893': 'South America',
    '1894': 'South America',
    '1895': 'South America',
    '1896': 'Papunesia',
    '1897': 'Eurasia',
    '1898': 'Africa',
    '1899': 'Papunesia',
    '1900': 'Papunesia',
    '1901': 'North America',
    '1902': 'Africa',
    '1903': 'North America',
    '1904': 'Africa',
    '1905': 'Eurasia',
    '1906': 'Africa',
    '1907': 'Africa',
    '1908': 'Eurasia',
    '1909': 'Africa',
    '1910': 'Australia',
    '1911': 'Australia',
    '1912': 'Papunesia',
    '1913': 'Africa',
    '1914': 'Papunesia',
    '1915': 'North America',
    '1916': 'North America',
    '1918': 'North America',
    '1919': 'Papunesia',
    '1920': 'Africa',
    '1922': 'Africa',
    '1923': 'Australia',
    '1925': 'North America',
    '1926': 'South America',
    '1927': 'Africa',
    '1928': 'Eurasia',
    '1929': 'Papunesia',
    '1930': 'Africa',
    '1931': 'Eurasia',
    '1932': 'Africa',
    '1933': 'Papunesia',
    '1934': 'Australia',
    '1935': 'Papunesia',
    '1936': 'Australia',
    '1937': 'Africa',
    '1938': 'Papunesia',
    '1939': 'Australia',
    '1940': 'Africa',
    '1941': 'Papunesia',
    '1942': 'North America',
    '1943': 'North America',
    '1944': 'South America',
    '1945': 'Eurasia',
    '1946': 'Africa',
    '1947': 'Papunesia',
    '1948': 'Papunesia',
    '1949': 'North America',
    '1950': 'Africa',
    '1951': 'North America',
    '1952': 'Eurasia',
    '1954': 'Papunesia',
    '1955': 'Eurasia',
    '1956': 'Africa',
    '1957': 'Africa',
    '1958': 'Africa',
    '1959': 'Africa',
    '1960': 'Eurasia',
    '1961': 'Africa',
    '1888': 'Eurasia',
    '1921': 'South America',
    '1892': 'Africa',
    '1963': 'Africa',
    '1964': 'Papunesia',
    '1965': 'North America',
    '1966': 'South America',
    '1967': 'Papunesia',
    '1968': 'Eurasia',
    '1969': 'Eurasia',
    '1970': 'Australia',
    '1971': 'Australia',
    '1972': 'Australia',
    '1973': 'Australia',
    '1974': 'Papunesia',
    '1976': 'Africa',
    '1977': 'Africa',
    '1978': 'Eurasia',
    '1979': 'Africa',
    '1980': 'Papunesia',
    '1981': 'North America',
    '1982': 'Papunesia',
    '1983': 'Eurasia',
    '1984': 'Eurasia',
    '1985': 'Eurasia',
    '1986': 'North America',
    '1988': 'North America',
    '1990': 'North America',
    '1991': 'Africa',
    '1992': 'Eurasia',
    '1993': 'Africa',
    '1994': 'South America',
    '1996': 'South America',
    '1997': 'Africa',
    '1998': 'Eurasia',
    '1999': 'Papunesia',
    '2000': 'Papunesia',
    '2001': 'Africa',
    '2002': 'Africa',
    '2003': 'Africa',
    '2004': 'Eurasia',
    '2005': 'North America',
    '2006': 'Eurasia',
    '2007': 'Africa',
    '2008': 'Eurasia',
    '2009': 'Eurasia',
    '2011': 'Papunesia',
    '2012': 'Papunesia',
    '2013': 'Eurasia',
    '2014': 'Australia',
    '2015': 'North America',
    '2016': 'Eurasia',
    '2017': 'Papunesia',
    '2019': 'Eurasia',
    '2020': 'North America',
    '2021': 'Australia',
    '2023': 'Papunesia',
    '2024': 'South America',
    '2025': 'Papunesia',
    '2026': 'Africa',
    '2027': 'Papunesia',
    '2029': 'Papunesia',
    '2030': 'Papunesia',
    '2031': 'North America',
    '2032': 'North America',
    '2033': 'Africa',
    '2034': 'Africa',
    '2035': 'Papunesia',
    '2036': 'Eurasia',
    '1995': 'North America',
    '2010': 'South America',
    '2028': 'South America',
    '2038': 'Africa',
    '2039': 'North America',
    '2040': 'North America',
    '2041': 'Papunesia',
    '2042': 'South America',
    '2043': 'Eurasia',
    '2044': 'Eurasia',
    '2045': 'Africa',
    '2046': 'Papunesia',
    '2047': 'Africa',
    '2048': 'Eurasia',
    '2049': 'Africa',
    '2050': 'Eurasia',
    '2051': 'Papunesia',
    '2052': 'Papunesia',
    '2053': 'Eurasia',
    '2054': 'South America',
    '2055': 'Eurasia',
    '2056': 'Eurasia',
    '2057': 'South America',
    '2058': 'North America',
    '2059': 'Australia',
    '2061': 'Eurasia',
    '2062': 'Eurasia',
    '2064': 'North America',
    '2065': 'North America',
    '2066': 'South America',
    '2067': 'Papunesia',
    '2068': 'North America',
    '2069': 'North America',
    '2070': 'Africa',
    '2071': 'South America',
    '2072': 'Eurasia',
    '2073': 'North America',
    '2074': 'Africa',
    '2075': 'Africa',
    '2076': 'Africa',
    '2077': 'Papunesia',
    '2078': 'Eurasia',
    '2079': 'North America',
    '2080': 'Eurasia',
    '2082': 'Australia',
    '2083': 'Eurasia',
    '2084': 'Papunesia',
    '2085': 'Papunesia',
    '2086': 'South America',
    '2087': 'North America',
    '2088': 'Africa',
    '2089': 'South America',
    '2090': 'Africa',
    '2091': 'North America',
    '2092': 'North America',
    '2093': 'Papunesia',
    '2094': 'South America',
    '2095': 'South America',
    '2096': 'Papunesia',
    '2097': 'Eurasia',
    '2098': 'Eurasia',
    '2099': 'Africa',
    '2100': 'Eurasia',
    '2101': 'Africa',
    '2102': 'North America',
    '2103': 'Papunesia',
    '2104': 'North America',
    '2105': 'Africa',
    '2106': 'Eurasia',
    '2107': 'Papunesia',
    '2108': 'Africa',
    '2109': 'Australia',
    '2110': 'Australia',
    '2112': 'North America',
    '2113': 'Eurasia',
    '2111': 'Africa',
    '2114': 'Papunesia',
    '2115': 'Papunesia',
    '2116': 'Africa',
    '2117': 'North America',
    '2118': 'Papunesia',
    '2119': 'Africa',
    '2120': 'North America',
    '2121': 'North America',
    '2122': 'Australia',
    '2123': 'South America',
    '2124': 'Africa',
    '2125': 'Papunesia',
    '2126': 'Papunesia',
    '2127': 'Eurasia',
    '2128': 'Africa',
    '2129': 'Africa',
    '2130': 'Papunesia',
    '2131': 'North America',
    '2132': 'Africa',
    '2133': 'North America',
    '2134': 'North America',
    '2135': 'Africa',
    '2136': 'Eurasia',
    '2137': 'North America',
    '2138': 'Eurasia',
    '2139': 'Eurasia',
    '2141': 'Papunesia',
    '2143': 'Papunesia',
    '2144': 'Eurasia',
    '2146': 'Africa',
    '2147': 'Eurasia',
    '2148': 'Eurasia',
    '2149': 'Eurasia',
    '2150': 'Papunesia',
    '2151': 'Papunesia',
    '2153': 'South America',
    '2154': 'Eurasia',
    '2155': 'Eurasia',
    '2156': 'Africa',
    '2157': 'Australia',
    '2159': 'Eurasia',
    '2160': 'Eurasia',
    '2161': 'North America',
    '2162': 'Australia',
    '2163': 'Papunesia',
    '2164': 'Australia',
    '2165': 'Papunesia',
    '2166': 'Eurasia',
    '2167': 'Eurasia',
    '2168': 'Papunesia',
    '2169': 'Australia',
    '2170': 'Eurasia',
    '2171': 'South America',
    '2172': 'Australia',
    '2173': 'Africa',
    '2174': 'Australia',
    '2175': 'Australia',
    '2176': 'Eurasia',
    '2177': 'Africa',
    '2178': 'Africa',
    '2180': 'Eurasia',
    '2181': 'North America',
    '2182': 'Eurasia',
    '2184': 'Eurasia',
    '2185': 'Africa',
    '2186': 'North America',
    '2187': 'Africa',
    '2188': 'Africa',
    '2189': 'Papunesia',
    '2646': 'Papunesia',
    '2142': 'South America',
    '2145': 'South America',
    '2183': 'North America',
    '2190': 'Papunesia',
    '2191': 'North America',
    '2192': 'Eurasia',
    '2193': 'Eurasia',
    '2194': 'Africa',
    '2195': 'North America',
    '2196': 'North America',
    '2197': 'Papunesia',
    '2198': 'Papunesia',
    '2199': 'Africa',
    '2202': 'Africa',
    '2203': 'Africa',
    '2204': 'Eurasia',
    '2206': 'Eurasia',
    '2209': 'North America',
    '2210': 'South America',
    '2211': 'Papunesia',
    '2212': 'North America',
    '2213': 'Australia',
    '2214': 'North America',
    '2215': 'Eurasia',
    '2216': 'Eurasia',
    '2217': 'North America',
    '2218': 'Eurasia',
    '2219': 'Eurasia',
    '2220': 'Africa',
    '2221': 'Papunesia',
    '2222': 'Africa',
    '2223': 'North America',
    '2224': 'Africa',
    '2225': 'Africa',
    '2226': 'Eurasia',
    '2227': 'Africa',
    '2228': 'North America',
    '2229': 'South America',
    '2230': 'Papunesia',
    '2231': 'Eurasia',
    '2232': 'North America',
    '2234': 'Eurasia',
    '2235': 'Eurasia',
    '2236': 'Eurasia',
    '2237': 'Australia',
    '2238': 'North America',
    '2239': 'North America',
    '2240': 'Africa',
    '2241': 'South America',
    '2242': 'Africa',
    '2243': 'Papunesia',
    '2244': 'North America',
    '2245': 'Papunesia',
    '2246': 'Africa',
    '2247': 'South America',
    '2248': 'Australia',
    '2249': 'Africa',
    '2250': 'Eurasia',
    '2251': 'Papunesia',
    '2252': 'North America',
    '2253': 'Eurasia',
    '2254': 'South America',
    '2255': 'Papunesia',
    '2256': 'Papunesia',
    '2257': 'Papunesia',
    '2258': 'Eurasia',
    '2259': 'South America',
    '2260': 'Eurasia',
    '2261': 'North America',
    '2262': 'Africa',
    '2263': 'Eurasia',
    '2264': 'South America',
    '2265': 'Eurasia',
    '2200': 'South America',
    '2205': 'South America',
    '2207': 'North America',
    '2266': 'Eurasia',
    '2267': 'Australia',
    '2268': 'Eurasia',
    '2270': 'Africa',
    '2271': 'Australia',
    '2272': 'Eurasia',
    '2273': 'Papunesia',
    '2274': 'Eurasia',
    '2275': 'Eurasia',
    '2278': 'Africa',
    '2279': 'Africa',
    '2280': 'Papunesia',
    '2281': 'Africa',
    '2282': 'Eurasia',
    '2283': 'North America',
    '2284': 'Eurasia',
    '2285': 'Eurasia',
    '2286': 'Eurasia',
    '2287': 'Eurasia',
    '2288': 'Papunesia',
    '2289': 'North America',
    '2290': 'Eurasia',
    '2291': 'Africa',
    '2292': 'Eurasia',
    '2293': 'Papunesia',
    '2294': 'Papunesia',
    '2295': 'Eurasia',
    '2296': 'North America',
    '2297': 'South America',
    '2298': 'Papunesia',
    '2299': 'Eurasia',
    '2300': 'Africa',
    '2301': 'Africa',
    '2302': 'Papunesia',
    '2303': 'Eurasia',
    '2304': 'Papunesia',
    '2305': 'South America',
    '2306': 'South America',
    '2307': 'North America',
    '2308': 'North America',
    '2309': 'Africa',
    '2310': 'North America',
    '2311': 'Africa',
    '2314': 'Africa',
    '2315': 'Africa',
    '2316': 'North America',
    '2317': 'Eurasia',
    '2318': 'Papunesia',
    '2319': 'Papunesia',
    '2320': 'South America',
    '2321': 'Papunesia',
    '2322': 'North America',
    '2323': 'Eurasia',
    '2324': 'North America',
    '2325': 'North America',
    '2326': 'Australia',
    '2327': 'North America',
    '2328': 'Australia',
    '2329': 'Eurasia',
    '2330': 'Eurasia',
    '2331': 'Eurasia',
    '2332': 'North America',
    '2333': 'Papunesia',
    '2334': 'Papunesia',
    '2335': 'Africa',
    '2336': 'Africa',
    '2337': 'South America',
    '2338': 'Papunesia',
    '2339': 'South America',
    '2340': 'Africa',
    '2341': 'Eurasia',
    '2276': 'Africa',
    '2312': 'South America',
    '2344': 'Eurasia',
    '2345': 'Eurasia',
    '2346': 'Eurasia',
    '2347': 'North America',
    '2348': 'Papunesia',
    '2349': 'Australia',
    '2350': 'Papunesia',
    '2351': 'Eurasia',
    '2352': 'Africa',
    '2353': 'Eurasia',
    '2354': 'North America',
    '2355': 'Eurasia',
    '2356': 'Eurasia',
    '2357': 'Eurasia',
    '2358': 'Eurasia',
    '2359': 'North America',
    '2360': 'North America',
    '2361': 'North America',
    '2362': 'Papunesia',
    '2363': 'Papunesia',
    '2364': 'Africa',
    '2365': 'North America',
    '2366': 'Eurasia',
    '2367': 'Africa',
    '2368': 'Eurasia',
    '2369': 'Africa',
    '2370': 'Eurasia',
    '2371': 'Eurasia',
    '2372': 'North America',
    '2373': 'Australia',
    '2374': 'Eurasia',
    '2375': 'Africa',
    '2376': 'Eurasia',
    '2377': 'Africa',
    '2378': 'South America',
    '2379': 'North America',
    '2380': 'North America',
    '2381': 'North America',
    '2382': 'Papunesia',
    '2383': 'Australia',
    '2384': 'Africa',
    '2385': 'North America',
    '2386': 'Australia',
    '2387': 'Africa',
    '2388': 'South America',
    '2389': 'South America',
    '2390': 'Africa',
    '2391': 'Eurasia',
    '2392': 'South America',
    '2393': 'Eurasia',
    '2394': 'Africa',
    '2395': 'Australia',
    '2396': 'North America',
    '2397': 'Eurasia',
    '2398': 'Papunesia',
    '2399': 'Papunesia',
    '2400': 'Australia',
    '2401': 'Africa',
    '2402': 'Papunesia',
    '2403': 'Eurasia',
    '2404': 'Papunesia',
    '2405': 'North America',
    '2406': 'Eurasia',
    '2407': 'North America',
    '2408': 'Papunesia',
    '2409': 'North America',
    '2410': 'Africa',
    '2411': 'North America',
    '2412': 'Eurasia',
    '2413': 'North America',
    '2414': 'North America',
    '2415': 'Africa',
    '2416': 'North America',
    '2417': 'North America',
    '2419': 'North America',
    '2420': 'Eurasia',
    '2421': 'Africa',
    '2422': 'North America',
    '2423': 'South America',
    '2424': 'Papunesia',
    '2425': 'Eurasia',
    '2426': 'South America',
    '2427': 'North America',
    '2429': 'North America',
    '2430': 'Papunesia',
    '2431': 'South America',
    '2432': 'Africa',
    '2433': 'Eurasia',
    '2434': 'Australia',
    '2435': 'North America',
    '2436': 'South America',
    '2437': 'Papunesia',
    '2438': 'North America',
    '2439': 'South America',
    '2440': 'Papunesia',
    '2441': 'North America',
    '2442': 'Papunesia',
    '2443': 'Africa',
    '2445': 'Eurasia',
    '2446': 'Eurasia',
    '2447': 'Eurasia',
    '2448': 'North America',
    '2449': 'North America',
    '2450': 'Africa',
    '2451': 'Papunesia',
    '2452': 'Australia',
    '2453': 'Africa',
    '2454': 'Papunesia',
    '2455': 'South America',
    '2456': 'South America',
    '2457': 'South America',
    '2458': 'Eurasia',
    '2459': 'North America',
    '2460': 'Africa',
    '2461': 'Africa',
    '2462': 'Africa',
    '2463': 'Eurasia',
    '2464': 'Eurasia',
    '2465': 'Australia',
    '2466': 'Africa',
    '2467': 'South America',
    '2468': 'North America',
    '2469': 'South America',
    '2470': 'South America',
    '2471': 'Eurasia',
    '2473': 'Africa',
    '2474': 'South America',
    '2475': 'Papunesia',
    '2476': 'South America',
    '2477': 'Papunesia',
    '2478': 'Eurasia',
    '2479': 'North America',
    '2480': 'Papunesia',
    '2481': 'Australia',
    '2482': 'North America',
    '2483': 'North America',
    '2484': 'Papunesia',
    '2485': 'Papunesia',
    '2486': 'Eurasia',
    '2487': 'North America',
    '2488': 'North America',
    '2489': 'Australia',
    '2490': 'South America',
    '2491': 'South America',
    '2492': 'South America',
    '2493': 'Africa',
    '2494': 'Eurasia',
    '2444': 'Africa',
    '2428': 'North America',
    '2495': 'Australia',
    '2496': 'Eurasia',
    '2497': 'Africa',
    '2498': 'Australia',
    '2499': 'Australia',
    '2500': 'Africa',
    '2501': 'Australia',
    '2502': 'South America',
    '2503': 'Africa',
    '2504': 'Eurasia',
    '2505': 'Papunesia',
    '2507': 'Eurasia',
    '2508': 'Papunesia',
    '2509': 'Eurasia',
    '2510': 'Papunesia',
    '2511': 'Eurasia',
    '2512': 'Africa',
    '2513': 'Africa',
    '2514': 'Eurasia',
    '2515': 'North America',
    '2516': 'Africa',
    '2517': 'North America',
    '2518': 'Africa',
    '2519': 'Eurasia',
    '2520': 'South America',
    '2521': 'Africa',
    '2522': 'Eurasia',
    '2523': 'Eurasia',
    '2524': 'South America',
    '2526': 'Eurasia',
    '2527': 'Eurasia',
    '2528': 'Eurasia',
    '2529': 'Africa',
    '2530': 'Africa',
    '2531': 'Africa',
    '2532': 'Papunesia',
    '2533': 'Eurasia',
    '2534': 'Eurasia',
    '2535': 'Eurasia',
    '2536': 'Eurasia',
    '2537': 'Eurasia',
    '2538': 'Papunesia',
    '2539': 'Eurasia',
    '2540': 'Eurasia',
    '2541': 'Eurasia',
    '2542': 'Eurasia',
    '2543': 'Eurasia',
    '2544': 'Eurasia',
    '2546': 'Eurasia',
    '2547': 'Eurasia',
    '2548': 'Eurasia',
    '2549': 'Eurasia',
    '2550': 'Eurasia',
    '2551': 'Eurasia',
    '2552': 'Eurasia',
    '2553': 'Africa',
    '2554': 'North America',
    '2555': 'North America',
    '2556': 'Africa',
    '2558': 'Australia',
    '2559': 'Australia',
    '2560': 'Australia',
    '2561': 'Australia',
    '2562': 'Australia',
    '2563': 'Australia',
    '2564': 'Australia',
    '2565': 'Australia',
    '2566': 'Australia',
    '2567': 'Australia',
    '2568': 'Australia',
    '2569': 'Australia',
    '2570': 'Australia',
    '2571': 'Australia',
    '2572': 'Australia',
    '2573': 'Australia',
    '2574': 'Australia',
    '2575': 'Africa',
    '2576': 'Eurasia',
    '2577': 'Africa',
    '2578': 'Africa',
    '2579': 'Africa',
    '2580': 'Africa',
    '2581': 'Africa',
    '2582': 'Africa',
    '2583': 'Africa',
    '2584': 'Africa',
    '2585': 'Africa',
    '2586': 'Africa',
    '2587': 'Africa',
    '2588': 'Africa',
    '2589': 'Africa',
    '2590': 'Africa',
    '2591': 'Africa',
    '2592': 'Africa',
    '2593': 'Africa',
    '2594': 'Africa',
    '2595': 'Africa',
    '2596': 'Africa',
    '2597': 'Africa',
    '2598': 'Africa',
    '2599': 'Africa',
    '2600': 'Africa',
    '2601': 'Africa',
    '2602': 'Africa',
    '2603': 'Africa',
    '2604': 'Eurasia',
    '2605': 'Eurasia',
    '2606': 'Eurasia',
    '2608': 'Eurasia',
    '2609': 'Eurasia',
    '2610': 'Eurasia',
    '2611': 'Eurasia',
    '2612': 'Eurasia',
    '2613': 'Eurasia',
    '2614': 'Eurasia',
    '2615': 'Eurasia',
    '2616': 'Eurasia',
    '2617': 'Eurasia',
    '2618': 'Eurasia',
    '2619': 'Eurasia',
    '2622': 'Eurasia',
    '2623': 'Eurasia',
    '2624': 'Eurasia',
    '2625': 'Eurasia',
    '2626': 'Eurasia',
    '2627': 'Eurasia',
    '2628': 'Eurasia',
    '2629': 'Eurasia',
    '2632': 'Papunesia',
    '2633': 'Papunesia',
    '2634': 'Papunesia',
    '2635': 'Papunesia',
    '2636': 'Papunesia',
    '2637': 'Papunesia',
    '2638': 'Papunesia',
    '2639': 'Papunesia',
    '2640': 'Papunesia',
    '2641': 'Papunesia',
    '2642': 'Papunesia',
    '2643': 'Papunesia',
    '2644': 'Papunesia',
    '2645': 'Papunesia',
    '2607': 'Eurasia',
    '2647': 'Papunesia',
    '2648': 'Papunesia',
    '2649': 'Papunesia',
    '2650': 'Papunesia',
    '2651': 'Papunesia',
    '2652': 'Papunesia',
    '2653': 'Papunesia',
    '2654': 'Papunesia',
    '2655': 'Papunesia',
    '2656': 'Papunesia',
    '2657': 'Papunesia',
    '2658': 'Australia',
    '2659': 'North America',
    '2660': 'North America',
    '2662': 'North America',
    '2663': 'South America',
    '2664': 'South America',
    '2665': 'South America',
    '2666': 'South America',
    '2667': 'South America',
    '2668': 'South America',
    '2669': 'South America',
    '2670': 'South America',
    '2671': 'Africa',
    '2672': 'South America',
    '2673': 'South America',
    '2674': 'South America',
    '2675': 'South America',
    '2677': 'South America',
    '2678': 'South America',
    '1159': 'Eurasia',
    '140': 'Africa',
    '822': 'Africa',
    '1309': 'Africa',
    '1453': 'Eurasia',
    '1953': 'South America',
    '128': 'Papunesia',
    '1219': 'Africa',
    '2179': 'Eurasia',
    '50': 'Eurasia',
    '157': 'Eurasia',
    '364': 'Eurasia',
    '1371': 'Eurasia',
    '1386': 'Eurasia',
    '1770': 'Eurasia',
    '1829': 'Eurasia',
    '1834': 'Eurasia',
    '1891': 'Eurasia',
    '2022': 'Eurasia',
    '2037': 'Eurasia',
    '2060': 'Eurasia',
    '2158': 'Eurasia',
    '2277': 'Eurasia',
    '2620': 'Eurasia',
    '2621': 'Eurasia',
    '9': 'Papunesia',
    '31': 'Papunesia',
    '36': 'Papunesia',
    '46': 'Eurasia',
    '58': 'Papunesia',
    '108': 'Papunesia',
    '109': 'Papunesia',
    '112': 'Papunesia',
    '118': 'Papunesia',
    '126': 'Papunesia',
    '129': 'Papunesia',
    '132': 'Papunesia',
    '134': 'Eurasia',
    '144': 'Papunesia',
    '152': 'Papunesia',
    '158': 'Papunesia',
    '160': 'Eurasia',
    '161': 'Eurasia',
    '2676': 'South America',
    '165': 'Papunesia',
    '171': 'Papunesia',
    '184': 'Papunesia',
    '222': 'Papunesia',
    '247': 'Papunesia',
    '314': 'Papunesia',
    '337': 'Papunesia',
    '347': 'Papunesia',
    '440': 'Eurasia',
    '443': 'Eurasia',
    '487': 'Papunesia',
    '507': 'Papunesia',
    '515': 'Papunesia',
    '521': 'Papunesia',
    '544': 'Papunesia',
    '552': 'Papunesia',
    '554': 'Papunesia',
    '556': 'Papunesia',
    '566': 'Papunesia',
    '595': 'Papunesia',
    '599': 'Papunesia',
    '605': 'Papunesia',
    '612': 'Papunesia',
    '613': 'Papunesia',
    '614': 'Eurasia',
    '629': 'Papunesia',
    '641': 'Papunesia',
    '642': 'Papunesia',
    '643': 'Papunesia',
    '645': 'Papunesia',
    '657': 'Papunesia',
    '679': 'Papunesia',
    '711': 'Eurasia',
    '724': 'Papunesia',
    '747': 'Papunesia',
    '797': 'Papunesia',
    '860': 'Papunesia',
    '988': 'Papunesia',
    '991': 'Papunesia',
    '1001': 'Papunesia',
    '1039': 'Papunesia',
    '1053': 'Papunesia',
    '1064': 'Eurasia',
    '1145': 'Papunesia',
    '1189': 'Papunesia',
    '1239': 'Papunesia',
    '1275': 'Papunesia',
    '1281': 'Papunesia',
    '1294': 'Papunesia',
    '1298': 'Papunesia',
    '1466': 'Papunesia',
    '1487': 'Papunesia',
    '1489': 'Papunesia',
    '1509': 'Papunesia',
    '1550': 'Papunesia',
    '1641': 'Papunesia',
    '1672': 'Papunesia',
    '1694': 'Papunesia',
    '1765': 'Papunesia',
    '1775': 'Papunesia',
    '1791': 'Papunesia',
    '1795': 'Papunesia',
    '1801': 'Papunesia',
    '1817': 'Papunesia',
    '1822': 'Papunesia',
    '1869': 'Papunesia',
    '1881': 'Papunesia',
    '1885': 'Papunesia',
    '1917': 'Eurasia',
    '1924': 'Eurasia',
    '1987': 'Papunesia',
    '2018': 'Papunesia',
    '2063': 'Papunesia',
    '2081': 'Papunesia',
    '2140': 'Papunesia',
    '2152': 'Papunesia',
    '2201': 'Papunesia',
    '2233': 'Papunesia',
    '2269': 'Papunesia',
    '2343': 'Eurasia',
    '2418': 'Papunesia',
    '2506': 'Papunesia',
    '2525': 'Papunesia',
    '2545': 'Papunesia',
    '2630': 'Papunesia',
    '2631': 'Papunesia',
    '786': 'South America',
    '1652': 'South America',
    '2208': 'South America',
    '2472': 'South America',
    '2313': 'Africa',
    '2679': 'Africa',
}


def upgrade():
    op.drop_table('languagemacroarea')
    op.drop_table('macroarea')
    op.add_column('walslanguage',
        sa.Column('macroarea', sa.Unicode())
    )
    for pk, ma in MACROAREAS.items():
        op.execute("update walslanguage set macroarea = '%s' where pk = %s" % (ma, pk))


def downgrade():
    pass

