<%inherit file="home_comp.mako"/>
<%namespace name="util" file="util.mako"/>


<h3>Acknowledgements</h3>

<p>
  An enterprise like The World Atlas of Language Structures is impossible without the help
  of more people than its editors and authors. We gratefully acknowledge their crucial contributions.
</p>
<p>
  During the first phase of the creation of WALS in 2000-2005, our most important help came
  from the following collaborators in Leipzig (and Jakarta):
</p>
<ul>
    <li>Claudia Schmidt, who was responsible for text uniformity and formatting, and spent many weeks on the consistency of the references (this part of her work is only visible in the electronic version);</li>
    <li>Hagen Jung, who rescued the computational work on WALS from a crisis, and created the map files with competence, patience and an excellent sense for beauty;</li>
    <li>Hans-Jörg Bibiko, who programmed the interactive electronic version with great enthusiasm and creativity, proposing many features that had never occurred to the editors;</li>
    <li>Orin Gensler, who copy-edited and proofread all the texts, corresponded with many of the authors and also helped eliminate some factual errors — we were lucky to have the assistance of the world’s best linguistics copy-editor (not to mention his role as co-author);</li>
    <li>and Brad Taylor, working at the Jakarta Field Station, designed our working database and was always there when problems needed to be addressed.</li>
</ul>
<p>
  Without the commitment and unfailing reliability of these people, WALS would have been
  much less than what it is now. Thank you so much, all of you!
</p>
<p>
  We are also indebted to our student assistants in Leipzig, Martin Mehlberg, Tamar Khizanishvili,
  Luise Kempf, and Thomas Hanke, as well as the University of Leipzig computer scientists Christian Wolff,
  Georg Apitz, Marek Mahn, Christian Heinrich and Gerrit Mattausch.
</p>
<p>
  The Department of Linguistics of the Max Planck Institute for Evolutionary Anthropology
  (Director Bernard Comrie) provided the funding for the editors between 1999 and 2005, funded
  several meetings of a subset of the authors, and allowed some of them to come to Leipzig for
  a more extended period to work on their contributions. We are especially grateful to Julia Cissewski,
  Claudia Büchel, and Peter Fröhlich for creating a perfect working environment.
</p>
<p>
  This is also the place to acknowledge the help of the language experts who patiently answered
  many questions from the authors, their main reward being that the maps of the atlas now show many
  more dots for “their” language than would otherwise have been possible. In addition, the Ethnologue
  staff kindly provided us with a text file of the Ethnologue genealogical classification.
</p>
<p>
  The research for Matthew Dryer’s chapters was supported by Social Sciences and Humanities Research
  Council of Canada Research Grants 410-810949, 410-830354, and 410-850540, and by National Science
  Foundation (United States) Research Grant BNS-9011190.
</p>
<p>
  Matthew Dryer also wants to acknowledge a number of people who over the years worked on his
  typological database project as graduate student research assistants. These include, at the
  University of Alberta: Janice Adlington, Sandra Bellan, Somsak Boonsathorn, Diane Dennis,
  Randy Harris, Barbara Jacennik, Betty Karpinski, Murray Munro, Martha Smith, and Grace Wiebe;
  at UCLA: Mercedes Pérez; and at the University at Buffalo: Isao Honda, Anna Keusen (Margetts),
  Monica Madera, Heather Weber, and Byong-Seon Yang. Rob Malouf helped him programme his own database,
  which was the proto-type of WALS.
</p>
<p>
  Thanks also to anyone else that we have inadvertently overlooked.
</p>
<p>
  The second phase of work on WALS began in 2007, when we started looking into possibilities of
  publishing WALS online. We are grateful to Oxford University Press (especially senior editor John Davey)
  for giving permission to do so, and we were very happy that the Max Planck Digital Library provided the
  crucial resources.
</p>
<p>
  First and foremost, we have to thank Robert Forkel in Munich, the main computational mind behind
  WALS Online, who came up with idea after brilliant idea and never ran out of patience. But important
  work was also done by Frank Schulz and Vera Osswald, as well as Christina Weyher and Malte Dreyer in
  the background. We also thank Laurent Romary for getting the ball rolling at the outset.
</p>
<p>
  In Leipzig, we had more help from Claudia Schmidt and student assistant Yan Luo.
</p>
<p>
  Finally, we thank all those WALS users that pointed out errors and gave us suggestions for improvement.
  We look forward to getting more feedback in the future.
</p>
<p>
  Leipzig, 23 December 2010
</p>
<p>
  Matthew S. Dryer and Martin Haspelmath
</p>
